petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMDAGetRefinementFactor

Gets the ratios that the DMDA grid is refined

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDAGetRefinementFactor(DM da, PetscInt *refine_x, PetscInt *refine_y,PetscInt *refine_z)

Not Collective

### Input Parameter

da -the DMDA object

### Output Parameters

| refine_x | - ratio of fine grid to coarse in x direction (2 by default)
| refine_y | - ratio of fine grid to coarse in y direction (2 by default)
| refine_z | - ratio of fine grid to coarse in z direction (2 by default)

Notes: Pass NULL for values you do not need

### See Also

DMRefine(), DMDASetRefinementFactor()

Level:intermediate
Location:src/dm/impls/da/da.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages